## nvidia-graphics-drivers 340.65

=== debian/changelog ===
nvidia-graphics-drivers (340.65-2) unstable; urgency=medium

  * Merge changes from 304.125-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2014 22:10:14 +0100

nvidia-graphics-drivers (340.65-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.65 (2014-12-08).
    * Fixes CVE-2014-8298.  (Closes: #772971)
    - Fixed a bug that prevented internal 4K panels on some laptops from being
      driven at a sufficient bandwidth to support their native resolutions.
    - Fixed a regression that prevented the NVIDIA kernel module from loading
      in some virtualized environments such as Amazon Web Services.
    - Fixed a regression that caused displays to be detected incorrectly on
      some notebook systems.  (Closes: #770798, #765726)
    - Fixed a bug that could cause X to freeze when using Base Mosaic.
    - Fixed a regression that prevented the NVIDIA X driver from recognizing
      Base Mosaic layouts generated by the nvidia-settings control panel.
  * Merge changes from 304.125 (UNRELEASED).
  * Add xorg-video-abi-19 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Dec 2014 21:10:11 +0100

nvidia-graphics-drivers (340.58-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.58 (2014-11-05).
    - Added support for the following GPUs: GeForce GT820M, GeForce GTX 760A,
      GeForce GTX 850A, GeForce 810A, GeForce 820A, GeForce 840A, Tesla K8.
    - Fixed a bug that could cause VT-switching to fail following a
      suspend, resume, and driver reload sequence.
    - Fixed a bug that caused incorrect colors to be displayed on X screens
      running at depth 8 on some GPUs.
    - Fixed a bug that prevented GPUs from being correctly recognized in
      MetaMode strings when identified by UUID.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.
  * Update nv-readme.ids.
  * conftest.h:
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Dec 2014 01:21:29 +0100

nvidia-graphics-drivers (340.46-6) unstable; urgency=medium

  * nvidia-kernel-dkms: Switch to Recommends: nvidia-driver | libcuda1
    to break the chain libcuda1 -> nvidia-kernel-dkms -> nvidia-driver.
  * nvidia-opencl-icd: Downgrade the Depends: libcuda1 to Suggests. This
    should avoid pulling in too many NVIDIA packages on wheezy -> jessie
    upgrades of systems that have no NVIDIA hardware, but nvidia-opencl-icd
    installed nevertheless.  (Closes: #769072 and many duplicates)
  * nvidia-detect: Update list of newer PCI IDs from release 346.16.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Nov 2014 20:08:09 +0100

nvidia-graphics-drivers (340.46-5) unstable; urgency=medium

  * nvidia-driver-bin: Breaks+Replaces nvidia-glx from wheezy.
  * libgles2-nvidia: Fix the SONAME symlink.
  * nvidia-alternative: Ship /usr/share/nvidia (slave alternative location).
  * New Dutch (nl) debconf translations by Frans Spiesschaert.
    (Closes: #767492)
  * README.source: Document the nks-history.git repository.
  * bug-script: Collect more information.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Nov 2014 18:47:36 +0100

nvidia-graphics-drivers (340.46-4) unstable; urgency=medium

  * Fix installation of nvidia-smi.  (Closes: #766343)
  * Add more dependencies on nvidia-alternative.
  * d/rules: Add #!armhf# and #!legacy# substitutions.
  * nvidia-driver: Stop shipping nvidia-persistenced, this is being moved to a
    separate source package.
  * Split nvidia-driver-bin from the metapackage nvidia-driver.
  * nvidia-driver-bin: Support switching via nvidia-alternative.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Oct 2014 23:43:37 +0100

nvidia-graphics-drivers (340.46-3) unstable; urgency=medium

  * Updated French (fr) debconf translations by Christian Perrier.
  * bug-script: Run xrandr, if possible.
  * nvidia-driver: Depend on libegl1-nvidia and recommend libgles[12]-nvidia.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Oct 2014 00:09:17 +0200

nvidia-graphics-drivers (340.46-2) unstable; urgency=medium

  * Add libcuda1 dependency to libraries that seem to be capable of doing
    dlopen("libcuda.so") or dlopen("libcuda.so.1").
  * nvidia-libopencl1.symbols: Ensure ocl-icd-libopencl1 is always the first
    alternative, dependency lists may be reordered.
  * Merge changes from 331.104 (UNRELEASED).
  * README.source: Document workflow for importing a new upstream release that
    has moved support for some legacy cards to a new legacy driver.
  * nvidia-detect: Report that a driver supporting GeForce GTX 970/980 will be
    made available in jessie-backports (and experimental).
  * d/rules: Correctly parse PCI ID lists from upstream README of release
    343xx onwards.
  * conftest.h:
    - DRM is only supported on Linux >= 3.9.  (Closes: #765679)
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).
  * bug-script: Collect more information.
  * Update lintian overrides.
  * nvidia-vdpau-driver: Support switching via nvidia-alternative.
  * libcuda1: Support switching via nvidia-alternative.
  * nvidia-opencl-icd: Support switching via nvidia-alternative.
  * lib{egl1,gles1,gles2}-nvidia: Support switching via nvidia-alternative.
  * libnvidia-{ifr1,bfc1}: Support switching via nvidia-alternative.
  * libnvidia-encode1, libnvcuvid1: Support switching via nvidia-alternative.

