=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
Build-Depends:
 debhelper (>= 9),
 xz-utils,
 dkms,
 libxext6,
 quilt,
 po-debconf,
Standards-Version: 3.9.8
Homepage: http://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-driver
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 libegl1-${nvidia} (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 libgl1-${nvidia}-glx-i386 [amd64],
 libgles1-${nvidia} (= ${binary:Version}),
 libgles2-${nvidia} (= ${binary:Version}),
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Legacy} (<< 319),
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 319),
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-driver-bin
Package: nvidia-driver-bin
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< 340.46-4~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Replaces:
 ${nvidia}-driver (<< 340.46-4~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

#Package: nvidia-glx${nvidia:Legacy}
Package: nvidia-glx
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64
Depends:
 ${nvidia}-driver,
 ${misc:Depends}
Description: transition to ${nvidia}-driver
 This is a dummy transitional package to aid switching to
 ${nvidia}-driver.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 debconf (>= 0.5) | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
 libgl1-nvidia-glx-${nvidia:Version},
Conflicts:
 libgl1-nvidia-glx-${nvidia:Version},
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
 libgl1-nvidia-glx-ia32-any,
Breaks:
 ia32-libs (<< 1:0),
Replaces:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
Description: NVIDIA binary OpenGL/GLX libraries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL/GLX implementation
 provided by NVIDIA.

#Package: libgl1-${nvidia}-glx-i386
Package: libgl1-nvidia-glx-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 libgl1-${nvidia}-glx,
 ${misc:Depends}
Description: NVIDIA binary OpenGL/GLX 32-bit libraries${nvidia:LegacyDesc}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL libraries when installing libgl1-${nvidia}-glx
 on amd64 with foreign architecture i386 enabled.

#Package: libegl1-${nvidia}
Package: libegl1-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary EGL library${nvidia:LegacyDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary EGL implementation provided
 by NVIDIA.

#Package: libgles1-${nvidia}
Package: libgles1-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 1.x library${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgles2-${nvidia}
Package: libgles2-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 2.x library${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: lib${nvidia}-eglcore
Package: libnvidia-eglcore
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-eglcore-${nvidia:Version},
Conflicts:
 libnvidia-eglcore-${nvidia:Version},
Description: NVIDIA binary EGL core libraries${nvidia:LegacyDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of EGL and OpenGL|ES.

#Package: ${nvidia}-alternative
Package: nvidia-alternative
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 ${nvidia:legacy-check},
Depends:
 glx-alternative-nvidia (>= 0.5),
 glx-alternative-nvidia (<< 0.7),
 nvidia-modprobe,
 ${misc:Depends}
Conflicts:
 libgl1-nvidia-alternatives,
 libglx-nvidia-alternatives,
 libgl1-nvidia-alternatives-ia32,
Breaks:
 nvidia-settings (<< 319.49),
 nvidia-settings-legacy-173xx (<< 173.14.37),
 nvidia-driver (<< 340.46-4~),
 nvidia-vdpau-driver (<< 340.46-2~),
 libcuda1 (<< 340.96),
 nvidia-opencl-icd (<< 340.46-2~),
 libnvidia-ifr1 (<< 340.46-2~),
 libnvidia-fbc1 (<< 340.46-2~),
 libnvidia-encode1 (<< 340.46-2~),
 libnvcuvid1 (<< 340.46-2~),
 libnvidia-ml1 (<< 340.46-2~),
 nvidia-smi (<< 340.46-2~),
Provides:
 ${nvidia}-alternative--kmod-alias,
Description: allows the selection of NVIDIA as GLX provider${nvidia:LegacyDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-alternatives --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

#Package: ${nvidia}-kernel-dkms
Package: nvidia-kernel-dkms
Section: non-free/kernel
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms,
 nvidia-kernel-common (>= 20110213),
 ${nvidia}-alternative--kmod-alias,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}) | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia}-kernel-${nvidia:Version},
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-kernel-source
Package: nvidia-kernel-source
Section: non-free/kernel
Architecture: i386 amd64 armhf
Depends:
 debhelper (>= 9),
 make,
 quilt,
 xz-utils,
 ${misc:Depends}
Recommends:
 module-assistant | kernel-package,
 nvidia-kernel-common,
 ${nvidia}-alternative--kmod-alias,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}),
Breaks:
 module-assistant (<< 0.11.6~),
