## nvidia-graphics-drivers 340.102

=== debian/changelog ===
nvidia-graphics-drivers (340.102-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Apr 2017 10:32:37 +0200

nvidia-graphics-drivers (340.102-1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.102 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855277)

  [ Andreas Beckmann ]
  * unregister_proc_on_failure.patch: New, unregister procfs entries during
    error unwind if loading the module failed.  (Closes: #764639)
  * Upload to jessie.

  [ Luca Boccassi ]
  * Add deprecated-cpu-events.patch and vmf-address.patch to fix kernel
    module build on Linux 4.10 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Apr 2017 22:12:27 +0200
